body.loading {
    overflow: hidden !important;
}

body.loading .loader-div {
    display: block !important;
}

.loader-div {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    bottom: 0;
    z-index: 1000000000;
    background: #fff;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

body.loading-inline .loader-div {
    background: rgba(255,255,255,0.75) !important;
}
.loader {
          animation: rotate 2s linear infinite;
          -webkit-animation: rotate 2s linear infinite;
           position: absolute;
        top: 50%;
        left: 50%;
        border-radius: 100%;
        height: 50px;
        width: 50px;
        margin-left: -25px;
        margin-top: -25px;
        background: 0 0 !important;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
      }

      .loader .path {
          stroke-dasharray: 1,150; /* 1%, 101% circumference */
          stroke-dashoffset: 0;
          stroke: #8C0003;
          stroke-linecap: round;
          animation: dash 1.5s ease-in-out infinite;
          -webkit-animation: dash 1.5s ease-in-out infinite;
      }

      @keyframes rotate{
          100% { transform: rotate(360deg); }
      }

      @keyframes dash {
            0% {
              stroke-dasharray: 1,150;  /* 1%, 101% circumference */
              stroke-dashoffset: 0;
          }
          50% {
              stroke-dasharray: 90,150; /* 70%, 101% circumference */
              stroke-dashoffset: -35;   /* 25% circumference */
          }
          100% {
              stroke-dasharray: 90,150; /* 70%, 101% circumference */
              stroke-dashoffset: -124;  /* -99% circumference */
          }
      }

      @-webkit-keyframes rotate{
          100% { transform: rotate(360deg); }
      }

      @-webkit-keyframes dash {
            0% {
              stroke-dasharray: 1,150;  /* 1%, 101% circumference */
              stroke-dashoffset: 0;
          }
          50% {
              stroke-dasharray: 90,150; /* 70%, 101% circumference */
              stroke-dashoffset: -35;   /* 25% circumference */
          }
          100% {
              stroke-dasharray: 90,150; /* 70%, 101% circumference */
              stroke-dashoffset: -124;  /* -99% circumference */
          }
      }